=== debian/changelog ===
coin3 (4.0.2+ds-2) unstable; urgency=medium

  * Team upload
  * Unhijack package

 -- Bastian Germann <bage@debian.org>  Wed, 08 May 2024 21:34:34 +0000

coin3 (4.0.2+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/64-bit-time-t-compat.patch: compatibility with 64-bit
    time_t.  Closes LP: #2058160.

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Mar 2024 21:56:00 +0000

coin3 (4.0.2+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062092

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:47:51 +0000

coin3 (4.0.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Drop patches, applied upstream: 01_convert_old_patches.patch,
      0004-Fix-GLX-glue-trying-to-use-NULL-display.patch,
      0005-Change-encoding.patch, 0006-Fix-encoding-issue.patch
  * Fix watchfile (Closes: #1057846) 

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Dec 2023 16:57:42 +0100

coin3 (4.0.0+ds-5) unstable; urgency=medium

  * Team upload.
  * Avoid deprecation warning with CMake 3.27 (Closes: #1040725)
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Jul 2023 00:27:22 +0200

coin3 (4.0.0+ds-4) unstable; urgency=medium

  Team upload.

  [ Leopold Palomo-Avellaneda ]
  * [914a7be] Drop unused files
  * [6541f99] Added examples
  * [e55eb53] Added pending files
  * [398d98d] Simplified rules and added examples
  * [fd91cb9] Added file specify not installed files
  * [2cab2b1] Added patch to fix encoding problem
  * [7f4e4b4] Bumb debhelper version. No changes
  * [a6cc7b9] Added patch to fix another encoding problem

  [ Gianfranco Costamagna ]
  * coin3: Fix autopkgtest regression due to new CMake warning (Closes: #1036843)

  [ Timo Röhling ]
  * Make xvfb-run invocation more robust

 -- Timo Röhling <roehling@debian.org>  Wed, 21 Jun 2023 21:26:21 +0200
